=== debian/control ===
Source: libtsm
Priority: optional
Maintainer: Nobuhiro Iwamatsu <iwamatsu@debian.org>
Build-Depends: debhelper (>= 9), dh-autoreconf, pkg-config, check,
	libxkbcommon-dev
Standards-Version: 3.9.4
Section: libs
Homepage: http://www.freedesktop.org/wiki/Software/kmscon/libtsm/
Vcs-Git: git://anonscm.debian.org/collab-maint/libtsm.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/libtsm.git;a=summary

Package: libtsm-dev
Section: libdevel
Architecture: linux-any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, libtsm3 (= ${binary:Version})
Description: Terminal-emulator State Machine - development
 TSM is a state machine for DEC VT100-VT520 compatible terminal
 emulators. It tries to support all common standards while keeping
 compatibility to existing emulators like xterm, gnome-terminal, konsole, ..
 . 
 TSM itself does not provide any rendering nor window management.
 It is a simple plain state machine without any external dependencies.
 It can be used to implement terminal emulators, but also to implement
 other applications that need to interpret terminal escape sequences.
 .       
 This library is very similar to libvte of the gnome project.
 However, libvte is highly bound to GTK+, which makes it unsuitable for
 non-graphics projects that need to parse escape sequences. Instead,
 TSM tries to restrict its API to terminal emulation only. Furthermore,
 TSM does not try to establish a new terminal emulation standard, but
 instead keeps compatibility as close to xterm as possible.
 This is why the TERM variable can be set to xterm-color256 with any
 TSM based terminal emulator.
 .
 This package contains the header files and static library needed to
 compile applications that use libtsm.

Package: libtsm3
Section: libs
Architecture: linux-any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Terminal-emulator State Machine - runtime
 TSM is a state machine for DEC VT100-VT520 compatible terminal
 emulators. It tries to support all common standards while keeping
 compatibility to existing emulators like xterm, gnome-terminal, konsole, ..
 . 
 TSM itself does not provide any rendering nor window management.
 It is a simple plain state machine without any external dependencies.
 It can be used to implement terminal emulators, but also to implement
 other applications that need to interpret terminal escape sequences.
 .       
 This library is very similar to libvte of the gnome project.
 However, libvte is highly bound to GTK+, which makes it unsuitable for
 non-graphics projects that need to parse escape sequences. Instead,
 TSM tries to restrict its API to terminal emulation only. Furthermore,
 TSM does not try to establish a new terminal emulation standard, but
 instead keeps compatibility as close to xterm as possible.
 This is why the TERM variable can be set to xterm-color256 with any
 TSM based terminal emulator.
 .
 This package contains the libtsm runtime library.
