=== src/CMakeLists.txt ===
add_subdirectory(shared)
add_subdirectory(tsm)

if(BUILD_GTKTSM)
    add_subdirectory(gtktsm)
endif()
