=== debian/changelog ===
libtsm (4.1.0-1) unstable; urgency=medium

  * New upstream release.
  * d/libtsm4.symbols: Update
  * d/control:
    - Update pkg-config to pkgconf in B-D.
    - Update Standards-Version: 4.7.2 (no changes required).
  * d/copyright: Update copyright year.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Sun, 28 Sep 2025 08:14:32 +0900
