=== debian/control ===
--- 
+++ 
@@ -6,8 +6,8 @@
                cmake,
                debhelper-compat (= 13),
                libxkbcommon-dev,
-               pkg-config,
-Standards-Version: 4.6.0
+               pkgconf,
+Standards-Version: 4.7.2
 Homepage: https://github.com/Aetf/libtsm
 Rules-Requires-Root: no
