=== debian/watch ===
version=4

https://github.com/Aetf/libtsm/tags \
    .*/v@ANY_VERSION@\.tar\.(?:gz|bz2|xz) debian
