## libtsm 4.3.0

=== debian/changelog ===
libtsm (4.3.0-2) unstable; urgency=medium

  * d/watch: Fix file format (Closes: #1124637)

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Mon, 05 Jan 2026 14:51:23 +0900

libtsm (4.3.0-1) unstable; urgency=medium

  * New upstream release. (Closes: #1124469)
  * d/*: Update upstream url to https://github.com/kmscon/libtsm
  * d/*: Switch build system to meson
  * d/control: Add Vcs-Browser and Vcs-Git
  * d/control: Remove redundant Rules-Requires-Root field
  * d/copyright: Update copyright year
  * d/patches:
    - Add 0001-tsm-meson.build-Change-library-build-to-both_librari.patch
  * d/libtsm4.symbols: Update
  * d/watch: Update version to 5

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Sat, 03 Jan 2026 06:48:26 +0900
