=== debian/rules ===
#!/usr/bin/make -f
# See debhelper(7) (uncomment to enable)
# output every command that modifies files on the build system.
#export DH_VERBOSE = 1

include /usr/share/dpkg/default.mk

export DEB_BUILD_MAINT_OPTIONS := qa=+bug hardening=+all reproducible=+all
export DPKG_GENSYMBOLS_CHECK_LEVEL := 4

%:
	dh $@ --builddirectory=build/ \
		--buildsystem=meson
