## libtsm 4.4.2

=== debian/changelog ===
libtsm (4.4.2-0.1~bpo13+1) trixie-backports; urgency=medium

  * Rebuild for trixie-backports.

 -- Boyuan Yang <byang@debian.org>  Tue, 10 Feb 2026 21:48:38 -0500

libtsm (4.4.2-0.1) unstable; urgency=medium

  * Non-maintainer upload.
  * New upstream release. (Closes: #1126432, #1125286)
  * debian/rules: Explicitly define -Dtests=false configure flag when
    nocheck profile is detected. (Closes: #1126497)
  * debian/patches/:
    + 0001-tsm-meson.build-Change-library-build-to-both_librari.patch:
      Refresh the patch.
  * debian/libtsm4.symbols: Record new symbols.

 -- Boyuan Yang <byang@debian.org>  Sat, 31 Jan 2026 23:48:57 -0500
