=== debian/control ===
--- 
+++ 
@@ -3,13 +3,14 @@
 Section: libs
 Priority: optional
 Build-Depends: check <!nocheck>,
-               cmake,
+               meson,
                debhelper-compat (= 13),
                libxkbcommon-dev,
                pkgconf,
 Standards-Version: 4.7.2
-Homepage: https://github.com/Aetf/libtsm
-Rules-Requires-Root: no
+Homepage: https://github.com/kmscon/libtsm
+Vcs-Browser: https://salsa.debian.org/debian/libtsm
+Vcs-Git: https://salsa.debian.org/debian/libtsm.git
 
 Package: libtsm4
 Architecture: any
