=== debian/watch ===
Version: 5

Template: Github
Owner: kmscon
Project: libtsm
